> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md).

# ColumnStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [TableLayoutStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutstyle.md)
  * [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md)

Represents the look and feel of a column in a table layout.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ColumnStyle : TableLayoutStyle
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ColumnStyle
    Inherits TableLayoutStyle
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnStyle()

Initializes an instance of the [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) class to its default state.

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnStyle(style)

Initializes and instance of the [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) class to its default state.

| Name      | Type                                                                                  | Description                |
| --------- | ------------------------------------------------------------------------------------- | -------------------------- |
| **style** | [ColumnStyle](https://docs.microsoft.com/dotnet/api/system.windows.forms.columnstyle) | Underlying style instance. |

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnStyle(sizeType)

Initializes an instance of the [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) class using the supplied [SizeType](/api/wisej.web/enumerations/wisej.web.sizetype.md) value.

| Name         | Type                                                          | Description                                                                                                                                                                           |
| ------------ | ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sizeType** | [SizeType](/api/wisej.web/enumerations/wisej.web.sizetype.md) | A [SizeType](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutstyle.md#sizetype) indicating how the column should be should be sized relative to its containing table. |

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnStyle(sizeType, width)

Initializes and instance of the [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) class using the supplied [SizeType](/api/wisej.web/enumerations/wisej.web.sizetype.md) and width values.

| Name         | Type                                                          | Description                                                                                                                                                                           |
| ------------ | ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sizeType** | [SizeType](/api/wisej.web/enumerations/wisej.web.sizetype.md) | A [SizeType](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutstyle.md#sizetype) indicating how the column should be should be sized relative to its containing table. |
| **width**    | [Single](https://docs.microsoft.com/dotnet/api/system.single) | The preferred width, in pixels or percentage, depending on the *sizeType* parameter.                                                                                                  |

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) *width* is less than 0.

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Width

[Single](https://docs.microsoft.com/dotnet/api/system.single): Returns or sets the width value for a column.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The value is less than 0 when setting this property.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
